## org.apache.poi.hssf.record.chart
Class AxisParentRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.AxisParentRecord

    public final class AxisParentRecord

extends StandardRecord

The axis size and location

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `AXIS_TYPE_MAIN`
`static short` `AXIS_TYPE_SECONDARY`
`static short` `sid`

Constructor Summary
`AxisParentRecord()`
`AxisParentRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getAxisType()` Get the axis type field for the AxisParent record.
`protected int` `getDataSize()`
`int` `getHeight()` Get the height field for the AxisParent record.
`short` `getSid()` return the non static version of the id for this record.
`int` `getWidth()` Get the width field for the AxisParent record.
`int` `getX()` Get the x field for the AxisParent record.
`int` `getY()` Get the y field for the AxisParent record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setAxisType(short field_1_axisType)` Set the axis type field for the AxisParent record.
`void` `setHeight(int field_5_height)` Set the height field for the AxisParent record.
`void` `setWidth(int field_4_width)` Set the width field for the AxisParent record.
`void` `setX(int field_2_x)` Set the x field for the AxisParent record.
`void` `setY(int field_3_y)` Set the y field for the AxisParent record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### AXIS_TYPE_MAIN

    public static final short AXIS_TYPE_MAIN

See Also:
  Constant Field Values

### AXIS_TYPE_SECONDARY

    public static final short AXIS_TYPE_SECONDARY

See Also:
  Constant Field Values

Constructor Detail

### AxisParentRecord

    public AxisParentRecord()

### AxisParentRecord

    public AxisParentRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getAxisType

    public short getAxisType()

  Get the axis type field for the AxisParent record.

  Returns:
    One of AXIS_TYPE_MAIN AXIS_TYPE_SECONDARY

### setAxisType

    public void setAxisType(short field_1_axisType)

  Set the axis type field for the AxisParent record.

  Parameters:
    `field_1_axisType` - One of AXIS_TYPE_MAIN AXIS_TYPE_SECONDARY

### getX

    public int getX()

  Get the x field for the AxisParent record.

### setX

    public void setX(int field_2_x)

  Set the x field for the AxisParent record.

### getY

    public int getY()

  Get the y field for the AxisParent record.

### setY

    public void setY(int field_3_y)

  Set the y field for the AxisParent record.

### getWidth

    public int getWidth()

  Get the width field for the AxisParent record.

### setWidth

    public void setWidth(int field_4_width)

  Set the width field for the AxisParent record.

### getHeight

    public int getHeight()

  Get the height field for the AxisParent record.

### setHeight

    public void setHeight(int field_5_height)

  Set the height field for the AxisParent record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.